BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 11-26-2007, 03:39 AM   #1 (permalink)
Thumbs Must Hurt
 
Rose's Avatar
 
Join Date: Nov 2006
Location: India
Model: 9700
OS: Windows 7
Carrier: Airtel
Posts: 121
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Error : net_rim_xml_org module not found

Please Login to Remove!

Hi All, I compiled an application using JDE 4.3 when i tried to install that application on my pearl im getting an error on the startup. Module net_rim_xml_org not found and the application is failed to get started. Any one have suggestions regarding this.
Offline  
Old 11-26-2007, 05:39 AM   #2 (permalink)
CrackBerry Addict
 
Join Date: Jun 2005
Location: Manchester, UK
Model: BOLD
Carrier: t-mobile
Posts: 714
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

does the pearl have the 4.3 os?
__________________
new job doesn't allow a public profile - please do not contact this user with questions, you will not get a response. good luck!
Offline  
Old 11-27-2007, 11:55 PM   #3 (permalink)
Thumbs Must Hurt
 
Rose's Avatar
 
Join Date: Nov 2006
Location: India
Model: 9700
OS: Windows 7
Carrier: Airtel
Posts: 121
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by jfisher View Post
does the pearl have the 4.3 os?
No it have the version 4.2.1.107 but that doesnt seems to be the problem because i have installed two more applications which has been compiled using 4.3 JDE. But those applications works fine.

Im quite confused about this issue ?
Offline  
Old 11-28-2007, 12:02 AM   #4 (permalink)
Thumbs Must Hurt
 
Rose's Avatar
 
Join Date: Nov 2006
Location: India
Model: 9700
OS: Windows 7
Carrier: Airtel
Posts: 121
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by jfisher View Post
does the pearl have the 4.3 os?
Hi , Is there any 4.3 version available for pearl ..
Offline  
Old 11-28-2007, 04:17 AM   #5 (permalink)
CrackBerry Addict
 
Join Date: Jun 2005
Location: Manchester, UK
Model: BOLD
Carrier: t-mobile
Posts: 714
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

no. and i'd bet 50quid compiling on 4.3 for an earlier device is your issue.
__________________
new job doesn't allow a public profile - please do not contact this user with questions, you will not get a response. good luck!
Offline  
Old 12-18-2007, 05:13 AM   #6 (permalink)
New Member
 
Join Date: Dec 2007
Location: India
Model: 8820
Carrier: Airtel
Posts: 4
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Anybody got success? I am also facing the same problem.

~Sameer
Offline  
Old 12-18-2007, 05:23 AM   #7 (permalink)
CrackBerry Addict
 
Join Date: Jun 2005
Location: Manchester, UK
Model: BOLD
Carrier: t-mobile
Posts: 714
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

You should only compile applications using the jde for that os version, if your target device is running 4.2 then don't compile using the 4.3 jde, we probably won't code using 4.3 for another 6 months yet as the majority of our user-base have 4.2
__________________
new job doesn't allow a public profile - please do not contact this user with questions, you will not get a response. good luck!
Offline  
Old 12-18-2007, 06:27 AM   #8 (permalink)
New Member
 
Join Date: Dec 2007
Location: India
Model: 8820
Carrier: Airtel
Posts: 4
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by jfisher View Post
You should only compile applications using the jde for that os version, if your target device is running 4.2 then don't compile using the 4.3 jde, we probably won't code using 4.3 for another 6 months yet as the majority of our user-base have 4.2
Yeah, true! I just checked this error comes when I compile application on JDE 4.3 and debug on Simulator other than 8120 or 8130 (both comes default with JDE 4.3). I was trying to debug my application on 8300-Vodafone, and always getting this error.

jonathan can you please tell me where can I get a list of Blackberry OS and Devices? It would be great help.

Thanks
Offline  
Old 02-12-2008, 03:22 PM   #9 (permalink)
Talking BlackBerry Encyclopedia
 
richard.puckett's Avatar
 
Join Date: Oct 2007
Location: Seattle, WA
Model: 9020
PIN: N/A
Carrier: T-Mobile
Posts: 212
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Excuse me while I resurrect this thread...

I just ran an app on an 8130 and got the "net_rim_xml_org not found" error. This *is* a 4.3 device and the 4.3 tools were used to create the app. One thing to note is that the hardware is 4.3.0.18 whereas the simlators are 4.3.0.59. Was net_rim_xml_org introduced *after* 4.3.0.18, then?
Offline  
Old 02-12-2008, 04:30 PM   #10 (permalink)
CrackBerry Addict
 
Join Date: Jun 2005
Location: Manchester, UK
Model: BOLD
Carrier: t-mobile
Posts: 714
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

it's an old core api isn't it? so surely not... then again this is rim we're talking about...
__________________
new job doesn't allow a public profile - please do not contact this user with questions, you will not get a response. good luck!
Offline  
Old 02-12-2008, 04:38 PM   #11 (permalink)
Talking BlackBerry Encyclopedia
 
richard.puckett's Avatar
 
Join Date: Oct 2007
Location: Seattle, WA
Model: 9020
PIN: N/A
Carrier: T-Mobile
Posts: 212
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

We have net_rim_xml in all the pre-4.3 devices; net_rim_xml_org was introduced with 4.3. Only, I thought it would be *all* 4.3...

Ok, hm, just noticed that this particular device is a pre-commercial release from RIM. I think I'm going to assume that 4.3.0.18 does not exist in the wild.

Going to take this over to the blackberry.com forums and see if any RIM people can chime in on it.
Offline  
Old 02-16-2009, 01:43 AM   #12 (permalink)
Thumbs Must Hurt
 
Join Date: Oct 2004
Location: Dallas, TX
Model: 8700
Carrier: TMobile
Posts: 163
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Had that same error for about 20 minutes.

We do a lot of batch compilations and we have a global enviornment variable which indicates the JDE to be used during the batch compilation.

Since I was working in the JDE 4.2 it took me some 20 minutes to figure that the production build script was using the pre-configured JDE root for 4.7...

And that was what was causing this problem...
__________________
Bobby Kolev
BEIKS, LLC
Web: http://www.beiks.com
"A pocket full of knowledge"
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.